# Uses of Interface
com.sun.jdi.request.EventRequest

Packages that use EventRequest
Package
Description
com.sun.jdi.event
This package defines JDI events and event processing.
com.sun.jdi.request
This package is used to request that a JDI event be sent under specified conditions.

## Uses of EventRequest in com.sun.jdi.event

Methods in com.sun.jdi.event that return EventRequest
Modifier and Type
Method
Description
`EventRequest`
Event.`request()`

## Uses of EventRequest in com.sun.jdi.request

Subinterfaces of EventRequest in com.sun.jdi.request
Modifier and Type
Interface
Description
`interface`
`AccessWatchpointRequest`
Request for notification when the contents of a field are accessed in the target VM.
`interface`
`BreakpointRequest`
Identifies a `Location` in the target VM at which execution should be stopped.
`interface`
`ClassPrepareRequest`
Request for notification when a class is prepared in the target VM.
`interface`
`ClassUnloadRequest`
Request for notification when a class is unloaded in the target VM.
`interface`
`ExceptionRequest`
Request for notification when an exception occurs in the target VM.
`interface`
`MethodEntryRequest`
Request for notification when a method is invoked in the target VM.
`interface`
`MethodExitRequest`
Request for notification when a method returns in the target VM.
`interface`
`ModificationWatchpointRequest`
Request for notification when a field is set.
`interface`
`MonitorContendedEnteredRequest`
Request for notification of a thread in the target VM entering a monitor after waiting for it to be released by another thread.
`interface`
`MonitorContendedEnterRequest`
Request for notification of a thread in the target VM attempting to enter a monitor already acquired by another thread.
`interface`
`MonitorWaitedRequest`
Request for notification when a thread in the target VM has finished waiting on a monitor object.
`interface`
`MonitorWaitRequest`
Request for notification when a thread in the target VM is about to wait on a monitor object.
`interface`
`StepRequest`
Request for notification when a step occurs in the target VM.
`interface`
`ThreadDeathRequest`
Request for notification when a thread terminates in the target VM.
`interface`
`ThreadStartRequest`
Request for notification when a thread starts execution in the target VM.
`interface`
`VMDeathRequest`
Request for notification when the target VM terminates.
`interface`
`WatchpointRequest`
Identifies a `Field` in the target VM being watched.
Methods in com.sun.jdi.request with parameters of type EventRequest
Modifier and Type
Method
Description
`void`
EventRequestManager.`deleteEventRequest(EventRequest eventRequest)`
Removes an eventRequest.
Method parameters in com.sun.jdi.request with type arguments of type EventRequest
Modifier and Type
Method
Description
`void`
EventRequestManager.`deleteEventRequests(List<? extends EventRequest> eventRequests)`
Removes a list of `EventRequest`s.